Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class pdf_elements_positions
        Inherits System.Web.UI.Page

        Protected Sub BtnCreatePdf_Click(sender As Object, e As EventArgs)
            ' create a new pdf document
            Dim doc As New PdfDocument()

            ' add a new page to the document
            Dim page As PdfPage = doc.AddPage()

            ' create a new pdf font
            Dim font As PdfFont = doc.AddFont(PdfStandardFont.Helvetica)
            font.Size = 20

            ' define a rendering result object
            Dim result As PdfRenderingResult

            ' create a new text element and add it to the page
            ' Important: get the rendering result returned by Add() 
            ' into the PdfRenderingResult object
            Dim text As New PdfTextElement(0, 0, "Hello world!", font)
            result = page.Add(text)

            ' add 10 more text element, leaving 30pt between the text lines
            For i As Integer = 1 To 10
                Dim elem As New PdfTextElement(0, _
                    result.PdfPageLastRectangle.Bottom + 30, "Text line " & i, font)
                result = page.Add(elem)
            Next

            ' save pdf document
            doc.Save(Response, False, "Sample.pdf")

            ' close pdf document
            doc.Close()
        End Sub

    End Class
End Namespace
